> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get model audit log

> Get the audit log for a semantic model.

**Required roles**: `nx1_semantic_modeller` or `nx1_semantic_admin`



## OpenAPI

````yaml get /api/semantic-models/{model_id}/audit
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/semantic-models/{model_id}/audit:
    get:
      tags:
        - Semantic models
      summary: Get model audit log
      description: |-
        Get the audit log for a semantic model.

        **Required roles**: `nx1_semantic_modeller` or `nx1_semantic_admin`
      operationId: get_model_audit_log_api_semantic_models__model_id__audit_get
      parameters:
        - name: model_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Model Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            default: 100
            title: Limit
      responses:
        '200':
          description: Audit log entries
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AuditLogEntry'
                title: >-
                  Response Get Model Audit Log Api Semantic Models  Model Id 
                  Audit Get
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    AuditLogEntry:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        semantic_model_id:
          type: string
          format: uuid
          title: Semantic Model Id
        action:
          type: string
          title: Action
        old_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Old Status
        new_status:
          anyOf:
            - type: string
            - type: 'null'
          title: New Status
        changes_json:
          anyOf:
            - type: string
            - type: 'null'
          title: Changes Json
        performed_by:
          type: string
          title: Performed By
        performed_at:
          type: string
          format: date-time
          title: Performed At
      type: object
      required:
        - id
        - semantic_model_id
        - action
        - old_status
        - new_status
        - changes_json
        - performed_by
        - performed_at
      title: AuditLogEntry
      description: Single audit log entry.
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````